*

ANON

  • *
  • 3 posts
Install Problem
« on: January 28, 2021, 09:59:01 PM »
Hello

I would like to test osclass on my web server but I have an apache error:

PHP Fatal error:  Uncaught Error: Undefined constant "WEB_PATH"

Do you have a solution ?
Thanks.

Marked as best answer by frosticek on January 30, 2021, 03:30:10 PM
*

MB Themes

Re: Install Problem
« Reply #1 on: January 28, 2021, 10:30:34 PM »
Script was not installed properly and config file was not created.
Use different hosting.
  To get fast support, we need following details: Detail description, URL to reproduce problem, Screenshots

*

ANON

  • *
  • 3 posts
Re: Install Problem
« Reply #2 on: January 29, 2021, 11:19:45 PM »
It's good  :) (problem php8)
Thanks.

*

moneybagg

  • *
  • 3 posts
Re: Install Problem
« Reply #3 on: March 19, 2021, 10:40:13 AM »
how did you sort it out, i am experiencing the sam problem

*

MB Themes

Re: Install Problem
« Reply #4 on: March 19, 2021, 10:43:35 AM »
Solution is in article above:
It's good  :) (problem php8)
Thanks.

Reinstall script on proper PHP version.
  To get fast support, we need following details: Detail description, URL to reproduce problem, Screenshots

*

SonnyT

  • *
  • 6 posts
Re: Install Problem
« Reply #5 on: Yesterday at 06:23:49 AM »
I get the same error.
Changelog states that osclass is compatible with php 8.
Not a good answer from "MB Themes".
Please try again and tell us what might be wrong when you get the following error:
Fatal error: Uncaught Error: Undefined constant "WEB_PATH" in oc-includes / osclass / default-constants.php: 37

Or is it that osclass is not compatible with php 8?

*

MB Themes

Re: Install Problem
« Reply #6 on: Yesterday at 08:06:57 AM »
WEB_PATH constant is essential, check your config.php
  To get fast support, we need following details: Detail description, URL to reproduce problem, Screenshots

*

SonnyT

  • *
  • 6 posts
Re: Install Problem
« Reply #7 on: Yesterday at 11:18:51 AM »
That's probably true but why does it work with php7.4 but not with php8?
It is osclass-v4.3.2 that I downloaded.

*

MB Themes

Re: Install Problem
« Reply #8 on: Yesterday at 11:28:36 AM »
No idea, we are running on php 8 for several months
  To get fast support, we need following details: Detail description, URL to reproduce problem, Screenshots

*

SonnyT

  • *
  • 6 posts
Re: Install Problem
« Reply #9 on: Yesterday at 11:52:45 AM »
Okay,
I will do an installation on a local server so I will see if there is any difference.
Right now I have done the installation on amazon.
I will return when I have tested.

*

MB Themes

Re: Install Problem
« Reply #10 on: Yesterday at 01:37:46 PM »
I reviewed config.php, essential file, and you have there that constant:
Code: [Select]
define('WEB_PATH', 'your url');
  To get fast support, we need following details: Detail description, URL to reproduce problem, Screenshots

*

SonnyT

  • *
  • 6 posts
Re: Install Problem
« Reply #11 on: Yesterday at 03:20:25 PM »
Well I agree with that but,
This is a new installation, empty computer only nginx and php8.
When I start up, I should do nothing but go to the first page that says "Welcome to Osclass Installation" and then click install?
Or do I have to create config.php? I thought the installer handles this?

*

MB Themes

Re: Install Problem
« Reply #12 on: Yesterday at 03:41:22 PM »
Well, you will probably install osclass first.
Check installation videos or guides.
Cannot help you on localhost as it often cause problems due to localhost incorrect setup.
  To get fast support, we need following details: Detail description, URL to reproduce problem, Screenshots

*

SonnyT

  • *
  • 6 posts
Re: Install Problem
« Reply #13 on: Yesterday at 04:55:44 PM »
If I install osclass with php7.4, it can be installed.

If I install osclass with php8.0 then it is not possible to install. The installation stops with an error message:
Fatal error: Uncaught Error: Undefined constant "WEB_PATH" in /srv/www/osclass/oc-includes/osclass/default-constants.php:37 Stack trace: # 0 / srv / www / osclass / oc-includes / osclass / install.php (50): require_once () # 1 {main} thrown in /srv/www/osclass/oc-includes/osclass/default-constants.php on line 37

What do you think I would benefit from installation videos?
What do you mean by "problems due to localhost incorrect setup"?

Feel free to find out why osclass can be installed with php7.4 but not with php8.0.
If you think there is an incorrect basic configuration in the server I am using then maybe you can tell what is the configuration that is wrong in the server that makes php8.0 not work with osclass.

*

SonnyT

  • *
  • 6 posts
Re: Install Problem
« Reply #14 on: Yesterday at 05:10:36 PM »
It is quite clear that osclass does NOT work with php8.0
Not even if I switch to php8 after installing osclass with php7.4.
Feel free to contact me when you have a solution. As it is now, you need to make a correction in changelog that it is php7.4 that applies right now.
There is nothing to hinder the function as long as you run php7.4 so it is not a showstopper.